import { CSSProperties } from 'react';
export interface Props {
    bodyColor?: string;
    data?: DataExercise | null;
    highlightedColors?: string[] | undefined;
    hoverColor?: string;
    onClick?: (exercise?: {
        muscle: string;
        stats: MuscleData;
    }) => any;
    responsive?: boolean;
    scale?: number | null;
    style?: CSSProperties;
    svgStyle?: CSSProperties;
    type?: 'anterior' | 'posterior';
}
export interface MuscleData {
    exercises: MuscleTypes[];
    frequency: number;
}
export declare type MuscleTypes = 'trapezius' | 'upper-back' | 'lower-back' | 'chest' | 'biceps' | 'triceps' | 'forearm' | 'back-deltoids' | 'front-deltoids' | 'abs' | 'obliques' | 'abductor' | 'hamstring' | 'quadriceps' | 'abductors' | 'calves' | 'gluteal' | 'head' | 'neck';
export declare type DataExercise = Data[] | null | undefined;
export interface Data {
    name: string;
    muscles: MuscleTypes[];
}
